Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #423

Buffering mp3 stream really slow / hanging
March 28, 2014 23:26 - Thomas Lange

Status: Closed Start date: March 28, 2014
Priority: Minor Due date:

Assignee: % Done: 100%
Category: core Estimated time: 0.00 hour
Target version: 3.5

Affects version: 3.5-betal

Description

Buffering the stream [1] is really slow.
The time for adding the stream is acceptable but not
for resuming with "Continue playback on startup" enabled.

Sometimes it needs more than one minute to start the playback
and meanwhile Audacious cannot be closed safely.

Audacious 3.4 buffers this stream much faster.
Do you have any idea what is the cause for this?

These are the last lines when Audacious is hanging:

output.c:383 [output_set_replaygain_info]: Replay Gain info:
output.c:384 [output_set_replaygain_info] album gain: 1.000000 dB
output.c:385 [output_set_replaygain_info]: album peak: 1.000000
output.c:386 [output_set_replaygain_info] track gain: 1.000000 dB
output.c:387 [output_set_replaygain_info] track peak: 1.000000

[1] http://energyradio.de/rock

History

#1 - March 30, 2014 18:32 - John Lindgren

| cannot reproduce any delay; however, the stream plays only silence. |s that expected?

#2 - March 30, 2014 18:43 - Thomas Lange

No, this is not expected.

Does it work if you open it in a web browser?

#3 - April 01, 2014 22:36 - John Lindgren

Firefox only prompts me to open it in Audacious.

$ wget http://energyradio.de/rock

--2014-04-01 16:33:56-— http://energyradio.de/rock

Resolving energyradio.de (energyradio.de)... 87.245.208.11

Connecting to energyradio.de (energyradio.de) [87.245.208.11|:80... connected.
HTTP request sent, awaiting response... 302 Found

Location: http://149.5.240.34:80/WR-INT-ROCK [following]

—--2014-04-01 16:33:57——

Connecting to 149.5.240.34:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [audio/mpeqg]

Saving to:

‘rock’
http://energyradio.de/rock

And the saved file is 96 kbps MP3 silence (Audacious, Audacity, and ffplay all agree).

#4 - April 02, 2014 00:17 - Thomas Lange
This seems to be related to your location.
With an American proxy, | also hear just silence.

Does this one work for you?
http://stream.antenne1.de/stream1/livestream.mp3

Otherwise could you try adding a URL which plays on your side?
Then enable "Continue playback on startup" and restart Audacious several times.
Buffering gets slower each time, but a manual stop/resume is fast. Really odd.

#5 - April 02, 2014 06:13 - John Lindgren
- Category set to core

- Status changed from New to Closed

- % Done changed from 0 to 100

- Affects version 3.5-betal added

- Affects version deleted (3.5)

That one works, thanks. Fixed in master.
